> ## Documentation Index
> Fetch the complete documentation index at: https://docs.erdo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1outreach batches



## OpenAPI

````yaml /api/openapi.json put /v1/outreach-batches/{batch}
openapi: 3.0.0
info:
  title: Erdo API
  description: >-
    Erdo's REST API: query and write datasets, run agents, manage threads,
    integrations, pages, evals, workstreams, experiments, and bounded outreach.
    Authenticate with a Bearer API key (erdo_api_...) or scoped token
    (erdo_token_...).
  version: '2026-09-09'
servers:
  - url: https://api.erdo.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/outreach-batches/{batch}:
    put:
      operationId: PUT:mcp.PutOutreachBatchAPI
      parameters:
        - allowEmptyValue: true
          explode: false
          in: path
          name: batch
          required: true
          schema:
            type: string
          style: simple
      requestBody:
        content:
          application/json:
            schema:
              properties:
                default_country:
                  type: string
                initiative_ref:
                  type: string
                message_body:
                  type: string
                message_version:
                  type: string
                recipients:
                  items:
                    $ref: '#/components/schemas/messaging.OutreachRecipientInput'
                  type: array
                sequence_step:
                  type: string
                source_snapshot_ref:
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  arm_blockers:
                    items:
                      type: string
                    type: array
                  armable:
                    type: boolean
                  batch:
                    $ref: '#/components/schemas/messaging.OutreachBatchView'
                  counts:
                    $ref: '#/components/schemas/messaging.OutreachCounts'
                  next_cursor:
                    type: string
                  policy_readiness:
                    $ref: '#/components/schemas/messaging.ProviderReadiness'
                  provider_cost_estimate:
                    $ref: '#/components/schemas/messaging.ProviderCostEstimate'
                  provider_readiness:
                    $ref: '#/components/schemas/messaging.ProviderReadiness'
                  recipients:
                    items:
                      $ref: '#/components/schemas/messaging.OutreachRecipientView'
                    type: array
                  recipients_total:
                    format: int64
                    type: integer
                type: object
          description: Success response
        default:
          $ref: '#/components/responses/APIError'
components:
  schemas:
    messaging.OutreachRecipientInput:
      properties:
        identity_status:
          type: string
        phone_raw:
          type: string
        recipient_ref:
          type: string
      type: object
    messaging.OutreachBatchView:
      properties:
        armed_at:
          format: date-time
          type: string
        batch_slug:
          type: string
        cancelled_at:
          format: date-time
          type: string
        completed_at:
          format: date-time
          type: string
        created_at:
          format: date-time
          type: string
        default_country:
          type: string
        delayed_by_days:
          format: int64
          type: integer
        delayed_count:
          format: int64
          type: integer
        delayed_until:
          format: date-time
          type: string
        eligible_count:
          format: int64
          type: integer
        excluded_count:
          format: int64
          type: integer
        immediate_count:
          format: int64
          type: integer
        initiative_ref:
          type: string
        message_body:
          type: string
        message_hash:
          type: string
        message_version:
          type: string
        paused_at:
          format: date-time
          type: string
        preview_revision:
          type: string
        previewed_at:
          format: date-time
          type: string
        recipient_count:
          format: int64
          type: integer
        sequence_step:
          type: string
        source_snapshot_ref:
          type: string
        state:
          type: string
        updated_at:
          format: date-time
          type: string
      type: object
    messaging.OutreachCounts:
      properties:
        blocked:
          format: int64
          type: integer
        cancelled:
          format: int64
          type: integer
        contacted:
          format: int64
          type: integer
        delivered:
          format: int64
          type: integer
        due:
          format: int64
          type: integer
        eligible:
          format: int64
          type: integer
        failed:
          format: int64
          type: integer
        held:
          format: int64
          type: integer
        opted_out:
          format: int64
          type: integer
        replied:
          format: int64
          type: integer
        total:
          format: int64
          type: integer
      type: object
    messaging.ProviderReadiness:
      properties:
        blockers:
          items:
            type: string
          type: array
        ready:
          type: boolean
      type: object
    messaging.ProviderCostEstimate:
      properties:
        available:
          type: boolean
        currency:
          type: string
        estimated_cost:
          type: string
        estimated_segments:
          format: int64
          type: integer
        price_per_segment:
          type: string
        segments_per_recipient:
          format: int64
          type: integer
        unavailable_reason:
          type: string
      type: object
    messaging.OutreachRecipientView:
      properties:
        attempt_count:
          format: int64
          type: integer
        canonical_address:
          type: string
        cohort:
          type: string
        consent_grant_ref:
          type: string
        delivered_at:
          format: date-time
          type: string
        delivery_state:
          type: string
        due_at:
          format: date-time
          type: string
        eligibility_state:
          type: string
        exclusion_reason:
          type: string
        identity_status:
          type: string
        last_inbound_message_id:
          type: string
        phone_raw:
          type: string
        position:
          format: int64
          type: integer
        provider_message_id:
          type: string
        provider_status:
          type: string
        recipient_ref:
          type: string
        responded_at:
          format: date-time
          type: string
        response_state:
          type: string
        sent_at:
          format: date-time
          type: string
      type: object
  responses:
    APIError:
      content:
        application/json:
          schema:
            externalDocs:
              url: https://pkg.go.dev/encore.dev/beta/errs#Error
            properties:
              code:
                description: Error code
                example: not_found
                externalDocs:
                  url: https://pkg.go.dev/encore.dev/beta/errs#ErrCode
                type: string
              details:
                description: Error details
                type: object
              message:
                description: Error message
                type: string
            title: APIError
            type: object
      description: Error response
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).

````